// -----------------------------------------------------------------------------
// COPYRIGHT (C) 2020 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 11 Aug, 2020 
//
// THIS FILE IS A PART OF PROJECTILE TOOLBOX.
// -----------------------------------------------------------------------------


function TimeSliderCallback(handles)
	o=evstr(handles.AngleValue.string)
	u=evstr(handles.SpeedValue.string)
	g=evstr(handles.gValue.string)
	h= evstr(handles.heightValue.string)
	t = handles.TimeSlider.value;
	x=(u*cosd(o))*t;
	y=h+(u*sind(o)*t)-0.5*g*t.^2;
	delete(gce())
	plot(x,y,'ob')
	handles.TimeTitle.string='Projectile position at time ' + string(t);
	handles.VerticalValue.string=string(y);
	handles.HorizontalValue.string=string(x);
endfunction
